%define prefix	/usr/X11R6

Name:		xfce
Summary:	Lightweight desktop environment
Version:	3.8.6
Release:	2mdk

Source:		http://xfce.org/archive/xfce-%version.tar.bz2
Source2:	xfce-startxfce

Group:		Graphical desktop/Other
URL:		http://www.xfce.org/
License:	GPL
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	gtk+ >= 1.2.7, glibc >= 2.2, gcc, imlib-devel, libpng-devel, libjpeg-devel, libungif-devel, libtiff-devel, libxpm4-devel
Requires:	xscreensaver, sox

%description
XFce author (Olivier FOURDAN) says:

XFce is a lightweight desktop environment for various UNIX systems.

The XFce project was first started because I needed a simple, light and
efficient environment for my Linux System. 

There are now a lot of good environments and interfaces for UNIX based
systems, but most are too heavy, or too expensive, or even both!  

I wanted something easy to use and configure, stable, fast, and, at last
but not least, visually appealing...  

I believe that the desktop environment should be made to increase user
productivity. Therefore, the goal is keep most system resources for the
applications, and not to consume all memory and CPU usage with the desktop
environment.

From version to version, XFce became more and more user friendly and easily
configurable. As XFce is made for the user, it has to be very simple to
configure. That's why everything is driven by the mouse, using buttons, drag
and drop, etc., and the configuration files are hidden from the user, although
it is plain text.

XFce 3 is based on GTK+, a free and powerful tool kit widely adopted by many
applications.

%prep

%setup -q

%build
# Change default XFce background color for Linux-Mandrake color
# For xinitrc
perl -pi -e "s|black|\"#21449C\"|" other/xinitrc
perl -pi -e "s|black|\"#21449C\"|" other/xinitrc.in
# And for xinitrc.mwm also. Your are free to put others colors here
perl -pi -e "s|black|\"#21449C\"|" other/xinitrc.mwm
perl -pi -e "s|black|\"#21449C\"|" other/xinitrc.mwm.in

# Dadou: I wont macros here
# ASkwar: Is that "I want macros here", or "Macros don't work here"?
./configure --sysconfdir=%_sysconfdir/X11 \
	    --prefix=%prefix \
	    --datadir=%prefix/share \
	    --disable-dt \
	    --enable-gtk-engine=%_libdir/gtk/themes/engines/
	    	    
%make CFLAGS="%optflags"

%install
rm -fr %buildroot

make install DESTDIR=%buildroot

chmod 0755 %buildroot/%_sysconfdir/X11/xfce/{xsession,xinitrc,xinitrc.mwm,Xclients}

#mkdir -p %buildroot/%prefix/bin
install -m 755 %SOURCE2 %buildroot/%{prefix}/bin/startxfce

# Change default background
install -d %buildroot/%_sysconfdir/X11/xfce
echo "None" > %buildroot/%_sysconfdir/X11/xfce/xfbdrc

# wmsession support
install -d %buildroot/%_sysconfdir/X11/wmsession.d/
cat << EOF > %buildroot/%_sysconfdir/X11/wmsession.d/06XFce
NAME=XFce
ICON=xfce-wmsession.xpm
EXEC=%_prefix/X11R6/bin/startxfce
DESC="Lightweight desktop environment"
SCRIPT:
exec %prefix//bin/startxfce
EOF

%find_lang %name


%post
%make_session

%postun
%make_session


%clean
rm -fr %buildroot


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* TODO
#
#
%config(noreplace) %_sysconfdir/X11/wmsession.d/*
#
%dir %_sysconfdir/X11/xfce/
%config(noreplace) %_sysconfdir/X11/xfce/*
#
#
%prefix/bin/*
#
#
%doc %prefix/man/man1/*
#
#
%dir %prefix/share/xfce/
%prefix/share/xfce/COPYING
%prefix/share/xfce/XFce3.logo
#
%dir %prefix/share/xfce/backdrops/
%prefix/share/xfce/backdrops/*
#
%dir %prefix/share/xfce/fonts
%prefix/share/xfce/fonts/*
#
%dir %prefix/share/xfce/help/
%dir %prefix/share/xfce/help/html/
%doc %prefix/share/xfce/help/html/*.html
%dir %prefix/share/xfce/help/html/stylesheet-images/
%doc %prefix/share/xfce/help/html/stylesheet-images/*
#
%dir %prefix/share/xfce/icons/
%prefix/share/xfce/icons/*
#
%dir %prefix/share/xfce/palettes/
%prefix/share/xfce/palettes/*
#
%dir %prefix/share/xfce/sounds/
%prefix/share/xfce/sounds/*
#
%dir %prefix/share/xfce/textures/
%prefix/share/xfce/textures/*
#
#
%_libdir/gtk/themes/engines/*


%changelog
* Fri Aug 24 2001 David BAUDENS <baudens@mandrakesoft.com> 3.8.6-2mdk
- Fixed broken configuration and spec

* Thu Aug 23 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 3.8.6-1mdk
- Upgraded to 3.8.6

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.8.3-1mdk
- updated by Alexander Skwar <ASkwar@Linux-Mandrake.com> 

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 3.7.2-1mdk
- 3.7.2

* Mon Nov 27 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.3-1mdk
- 3.6.3

* Mon Nov 27 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.2-1mdk
- 3.6.2

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.1-2mdk
- Requires: sox

* Sun Nov 19 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.1-1mdk
- 3.6.1

* Tue Nov 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.2-3mdk
- Make rpmlint happy

* Mon Nov 13 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.2-2mdk
- Build with glibc-2.2 & gcc-2.96

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.2-1mdk
- 3.5.2

* Mon Sep 26 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.1-1mdk
- 3.5.1

* Thu Aug 24 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.0-1mdk
- 3.5.0
- New config files
- Add packager tag
- Spec clean up

* Wed Aug 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.4.4-1mdk
- new and shiny version.
- no need to bzip2 and strip stuff (damiensck).
- remove the config patch.
- %%configure doesn't wanna pickup /usr/X11R6 for prefix

* Fri May 19 2000 dam's <damien@mandrakesoft.com> 3.3.2-4mdk
- Corrected stuff.

* Tue May 16 2000 dam's <damien@mandrakesoft.com> 3.3.2-3mdk
- added config file filter

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 3.3.2-2mdk
- added fndSession call

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2-1mdk
- Fix buid as user

* Fri Jan 21 2000 - David BAUDENS <baudens@mandrakesoft.com> - 3.2.5-1mdk
- 3.2.5
- Disable MandrakeSoft config files for this release
- Disable Requires for this release
- Use safe %%files
- Use %%{_tmppath} for BuildRoot

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Remove xfcedrake for 7.0

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.3

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add xfcedrake

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.2

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.2.0

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.1

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix paths in xfsoundrc.
- Anyone else notice the missing locale files, they are back now.
- Update file.list generation to use fine-lang.sh

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/o glib13

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add wa locales from pablo.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New icons.

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix path problem

- 3.0.2
- Mandrake customisations (backgrounds, pixmap, menus).

* Thu Jul 15 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial RPM
